AW: AW: AW: gcc 4.0.2 build error

Back Michael (extern) michael.back.ext at siemens.com
Thu Dec 8 05:53:29 PST 2005


Hey Jim,
My try with pure64 failed with the same error, so I tried multilib
(CLFS-SVN-20051208-x86_64-Multilib)
And get another error by building the 32bit glibc:

In file included from nptl/sysdeps/i386/i686/tls.h:34,
                 from include/tls.h:6,
                 from <stdin>:1:
nptl/sysdeps/i386/i686/../tls.h:64:3: error: #error "TLS support is 
required."
make[1]: *** [/mnt/lfs/sources/glibc-build/Versions.v.i] Error 1
make[1]: Leaving directory `/mnt/lfs/sources/glibc-20051107'
make: *** [all] Error 2

Now is the question if I should remove the --with-tls?
If not, is the question what is wrong - the build of the binutils or
The build system on my machine?

Could you help?

Thanks
 Michael
 

-----Ursprüngliche Nachricht-----
Von: cross-lfs-bounces at linuxfromscratch.org
[mailto:cross-lfs-bounces at linuxfromscratch.org] Im Auftrag von Jim Gifford
Gesendet: Donnerstag, 8. Dezember 2005 10:08
An: Cross-LFS Discussion List
Betreff: Re: AW: AW: gcc 4.0.2 build error

There are 2 x86_64 books, if you started with the multilib book then 
switch to the pure64 book the error you see could be possible.

We have corrected the naming in the book, so it should say at the top of 
each page which version it is. Either Pure64 or Multilib.

-- 
------
jim at linuxfromscratch.org
lfs at jg555.com

LFS User # 2577
Registered Linux User # 299986

-- 
http://linuxfromscratch.org/mailman/listinfo/cross-lfs
FAQ: http://www.linuxfromscratch.org/faq/
Unsubscribe: See the above information page



More information about the cross-lfs mailing list